static char string[32];

void printLabel(char* str)
{
  CanvasTextSet(&LabelWidget42, str);
  WidgetPaint((tWidget*)&LabelWidget42);
}

void TextPushButton20OnClick(tWidget *pWidget)
{
  strcpy(string, "ICPDAS");
  printLabel(string);
}


void TextPushButton21OnClick(tWidget *pWidget)
{
  strcpy(string, "TouchPad");
  printLabel(string);
}


void TextPushButton22OnClick(tWidget *pWidget)
{
  strcpy(string, "Hi ICPDAS");
  printLabel(string);
}


void TextPushButton23OnClick(tWidget *pWidget)
{
  strcpy(string, "ICPDAS Product");
  printLabel(string);
}


void BitButton24OnClick(tWidget *pWidget)
{
    strcpy(string, "TextPushButton Demo");
    printLabel(string);
}
